#!/usr/bin/perl -w
# Kenji Sugase			10/1/09

$input_file  = "acqus";
$output_file = "../script/pkfit.in";
$channel     = $ARGV[0];
$boxsize     = $ARGV[1];
$peaklist    = $ARGV[2];
$tol1        = $ARGV[3];
$tol2        = $ARGV[4];

open(INPUT, $input_file) || die "ERROR: Unable to open file \"$input_file\".\n";

while ($line = <INPUT>) {
	chomp($line);
	if ($line =~ /^##\$$channel= /) {
		@value = split(/\s+/, $line);
		$obs = $value[1];
		open(OUTPUT, ">$output_file");
		print OUTPUT "# pkfit parameter file for R2 dispersion experiments\n\n";
		print OUTPUT "# FILELD\tmangetic field (MHz)\n";
		print OUTPUT "FIELD\t\t$obs\n\n";
		close(OUTPUT);
	}
}
close(INPUT);

open(OUTPUT, ">>$output_file");
print OUTPUT "# BOXSIZE\t(point) 0: 1x1 box(peak top only), 1: 3x3 box, 2: 5x5 box\n";
print OUTPUT "BOXSIZE\t\t$boxsize\n\n";
print OUTPUT "# PEAKLIST\tpeak file\n";
print OUTPUT "PEAKLIST\t$peaklist\n\n";
print OUTPUT "# TOLERANCE\tpositional tolerance (Hz) in dim1 and dim2\n";
print OUTPUT "TOLERANCE\t$tol1\t$tol2\n\n";
print OUTPUT "# SPECTRUM:\tfile name\tT(s)\t1/tcp(1/s)\n";

close(OUTPUT);

