#!/usr/bin/perl -w
# Kenji Sugase			12/3/10

$input_file  = "acqus";
$output_file = "../script/pkfit.in";
$prefix      = $ARGV[0];
$suffix      = $ARGV[1];
$num         = $ARGV[2];

open(INPUT, $input_file) || die "ERROR: Unable to open file \"$input_file\".\n";

$next_is_pulse = "false";
$next_is_loop  = "false";
$pulse = 0;
$loop  = 0;
while ($line = <INPUT>) {
	chomp($line);
	last if ($line =~ /trosyf3gpphsi19\"/);
	
	if ($next_is_loop eq "true") {
		@value = split(/\s+/, $line);
		$loop = $value[1];
		$next_is_loop  = "false";
	}
	if ($next_is_pulse eq "true") {
		@value = split(/\s+/, $line);
		$pulse = $value[10];
		$next_is_pulse = "false";
	}
	if ($line =~ /^##\$L= \(0../) {
		$next_is_loop  = "true";
	}
	if ($line =~ /^##\$P= \(0../) {
		$next_is_pulse = "true";
	}
}
close(INPUT);

$delay = $pulse * 0.00000811 * $loop;

open(OUTPUT, ">>$output_file");
print OUTPUT "SPECTRUM\t$prefix$num$suffix\t$delay\n";
close(OUTPUT);
