#!/usr/bin/perl -w
# Kenji Sugase		10/25/2011
# subroutine for cpmg2glove.pl, exp2glove.pl etc
#

use strict;

package func;

# Read a non-blank, non-comment line from the provided stream and chomp it
sub getline {
	my $stream = $_[0];
	my $line;
	do {
		$line = <$stream>;
	} until (!defined($line) || $line !~ /^#/);
	if (!$line) {
		return "#";
	}
	chomp($line);
	return $line;
}

# Make sure that Tcpmg is a reasonable value
sub valid_Tcpmg {
	if ($_[0] > 0.1) {
		die "ERROR: Tcpmg > 0.1 sec\n";
	}
	if ($_[0] < 0.001) {
		die "ERROR: Tcpmg < 0.001 sec\n";
	}
}

1;
