
from os import system
from os import listdir,chdir,getcwd

class bcolors:
    HEADER = '\033[95m'
    OKBLUE = '\033[94m'
    OKGREEN = '\033[92m'
    WARNING = '\033[93m'
    FAIL = '\033[91m'
    ENDC = '\033[0m'

    def disable(self):
        self.HEADER = ''
        self.OKBLUE = ''
        self.OKGREEN = ''
        self.WARNING = ''
        self.FAIL = ''
        self.ENDC = ''

if __name__=="__main__":
  from sys import argv
  import os.path

  tests = ['BIND2','BIND2C','BIND2C_KD','BIND3A','BIND3B',
           'BIND3C_2F1B','BIND3C_1F2B','BIND3C_1F2B_KD',
           'CONST','MATRIX2','MATRIX2INDI','MATRIX3',
           'MATRIX3LIN','MATRIX3FOK','MEIBOOM','MQ_MATRIX2',
           'MQ_MATRIX3','MQ_RICHARDS','RDC','RICHARDS',
           'RICHARDSINDI','TEMP2','TEMP3','TEMP3LIN',
           'TEMP3FOK','TORCHIA','TORCHIAINDI']
  try:
    myglove = argv[1] 
  except IndexError:
    print "python make_tests.py <path_to_glove>" 
    exit()

  for test in tests:
      print "%-30s cpmg2glove"%test,
      system('rm -r %s'%(test))
      system('mkdir %s'%(test))    
      chdir(test)

      # here we is where the tests are conducted

      if 'BIND' in test:
        #  -ice Data_File Temp[K] Conc Error(%) 
        data=' -ice ../data/600_N.int 300 0.1 5 -ice ../data/600_H.int 300 0.2 5 -ice ../data/749_N.int 300 0.1 5 -ice ../data/749_H.int 300 0.2 5 '
      else:
        #  -ise Data_File Temp[K] Spin Error(%)
        data=' -ise ../data/600_N.int 300 0 5   -ise ../data/600_H.int 300 1 5   -ise ../data/749_N.int 300 0 5   -ise ../data/749_H.int 300 1 5 '

      system('../../bin/cpmg2glove -o glove.in -t %s  %s 2> catch'%(test,data))

      if os.path.isfile("./glove.in"):
        print bcolors.OKGREEN + " PASSED " + bcolors.ENDC  
      else:
        print bcolors.FAIL    + " FAILED " + bcolors.ENDC  


      system('../%s -d -xmgr'%myglove)
      print "%-30s Glove test"%test,
      if os.path.isfile("./glove.out"):
        print bcolors.OKGREEN + " PASSED " + bcolors.ENDC  
      else:
        print bcolors.FAIL    + " FAILED " + bcolors.ENDC  

      chdir("./../.")

      

