#!/usr/bin/python

from math import log,exp

#######

def calc_I(r,T,ref):
  return ref*exp(-r*T)


#######


if __name__=="__main__":
 
  ref_int = 100000.0
  basefield = 600.0
  probes = {0:"N",1:"H"}
  R20 = 10.0
# print calc_I(12.0,0.04,ref_int)

  labels = {'500_2000_2500_0.05':[1,140,'AsnN'], '500_2000_500_0.05':[2,142,'AlaN'] }

  big_data = {}


  fh = open("glove.in")
  for line in fh:
    if "SET" in line:
      label = line.split()[1]
      itcp_list = [0.0]
    elif "DATA" in line:
      data = line.split()
      oneOVERtcp = float(data[1])
      bigTcp = float(data[2])
      field = basefield*float(data[4])
      probe = int(data[5])
      R2eff = float(data[7])
#     print label, oneOVERtcp, R2eff 
      if probe in big_data:
        pass
      else:
        itcp_list = [0.0]
        big_data[probe] = {}

      if field in big_data[probe]:
        pass
      else:
        itcp_list = [0.0]
        big_data[probe][field] = {}
      
      if label in big_data[probe][field]:
        pass
      else:
        itcp_list = [0.0]
        big_data[probe][field][label] = {0.0:ref_int}

      big_data[probe][field][label][oneOVERtcp] = calc_I(R20+R2eff,bigTcp,ref_int)
      itcp_list.append(oneOVERtcp)
# print big_data

  for probe in big_data:
    for field in big_data[probe]:
      fh = open("%i_%s.int"%(int(field),probes[probe]),"w")
      header1 = "%f\n"%field
      header2 = ""
      header3 = ""
      fh.write(header1) 
#     print big_data[probe][field]
      headers = True
      for label in big_data[probe][field]:
        line = "%i %i %s "%(labels[label][0],labels[label][1],labels[label][2])
        for itcp in itcp_list:
          Int = big_data[probe][field][label][itcp]
#         print itcp, Int
          if itcp == 0.0:
            header2 = "%s%i "%(header2,0)
            header3 = "%s%i "%(header3,0)
          else:
            header2 = "%s%f "%(header2,bigTcp)
            header3 = "%s%f "%(header3,itcp)
            
          line = "%s %.2f"%(line,Int)
        if headers == True:
          fh.write(header2+"\n")
          fh.write(header3+"\n")
          headers = False
        fh.write(line+"\n")
      fh.close()





