
header = """
#################     Fitting Model      #################
FUNCTION CPMG_RICHARDS_alt

#################     Fitting Method     #################
# METHOD GRID                                            #
# METHOD ONE                                             #
# METHOD ONEEX                                           #
# METHOD RANDOM iteration                                #
# METHOD MCMIN iteration scale                           #
##########################################################
METHOD MCMIN 2 0.1
METHOD ONEEX

#################    Error Estimation    #################
#JACK
#MONTE 100

#################  Optional Calculation  #################
CALC REX REX_500MHz * 0.04 298.0 1.00000 0 000
CALC REX REX_500MHz * 0.04 298.0 1.00000 1 001
CALC REX REX_500MHz * 0.04 298.0 1.00000 2 002
CALC REX REX_500MHz * 0.04 298.0 1.00000 3 003

#################    Plot Instruction    #################
PLOT 500MHz * 0.04 298.0 1.00000 0 000 200.0 12000.0 60
PLOT 500MHz * 0.04 298.0 1.00000 0 001 200.0 12000.0 60
PLOT 800MHz * 0.04 298.0 1.00000 0 002 200.0 12000.0 60
PLOT 800MHz * 0.04 298.0 1.00000 0 003 200.0 12000.0 60

#################      XMGR Option       #################
@ WORLD XMIN 0
@ WORLD XMAX 12000
@ XAXIS TICK MAJOR 2000
@ XAXIS TICK MINOR 1000
@ WORLD YMIN 0
@ WORLD YMAX 20 
@ YAXIS TICK MAJOR  5
@ YAXIS TICK MINOR  1

#################    Global Parameter    #################

#################        Data Set        #################
"""

if __name__ == "__main__":

  fh = open("genData.in","w")
  fh.write(header)
  dw0 = 800 # 0.20*2*600*3.14159
  dw1 = 400 # 0.10*2*600*3.14159
  dw2 = 200 # 0.05*2*600*3.14159
  dw3 = 100 # 0.02*2*600*3.14159
  
  for pb in [0.01,0.05,0.10,0.30]:
    for kex in [10000,15000,20000,50000,100000]:
      fh.write("SET %i_%i_%i_%.2f\n"%(dw0,dw1,kex,pb))
      fh.write("FIXED DW_0 %i   \n"%(dw0))
      fh.write("FIXED DW_1 %i   \n"%(dw1))
      fh.write("FIXED DW_2 %i   \n"%(dw2))
      fh.write("FIXED DW_3 %i   \n"%(dw3))
      fh.write("FIXED KEX_0 %i  \n"%(kex))
      fh.write("FIXED PB_0 %.2f \n"%(pb))
      fh.write("FIXED R20_0_0_0 2 \n")
      fh.write("FIXED R20_0_0_1 2 \n")
      fh.write("FIXED R20_0_0_2 2 \n")
      fh.write("FIXED R20_0_0_3 2 \n")
      fh.write(" DATA  100.00 0.04 298.0  1.00000 0 000    0.00000 0.200000 \n")
      fh.write(" DATA  100.00 0.04 298.0  1.00000 0 001    0.00000 0.200000 \n")
      fh.write(" DATA  100.00 0.04 298.0  1.00000 0 002    0.00000 0.200000 \n")
      fh.write(" DATA  100.00 0.04 298.0  1.00000 0 003    0.00000 0.200000 \n\n")

