
from os import system
from os import listdir,chdir,getcwd

class bcolors:
    HEADER = '\033[95m'
    OKBLUE = '\033[94m'
    OKGREEN = '\033[92m'
    WARNING = '\033[93m'
    FAIL = '\033[91m'
    ENDC = '\033[0m'

    def disable(self):
        self.HEADER = ''
        self.OKBLUE = ''
        self.OKGREEN = ''
        self.WARNING = ''
        self.FAIL = ''
        self.ENDC = ''

def get_GCHI(file):
  try:
    fh = open(file)
    for line in fh:
      if "Global X2/DoF" in line:
        data = line.split()
        gchi = float(data[2])
#   print " testing file:",file
    return gchi
  except IOError:
    print " could not open file:",file
    return "NAN"

if __name__=="__main__":
  from sys import argv
  import os.path

  cwd = getcwd()
  path = "%s/"%cwd
  tests = listdir(path)

  try:
    myglove = argv[1] 
  except IndexError:
    print "python make_tests.py <path_to_glove>" 
    exit() 

  tests.sort()
  for test in tests:
    if test == "00info":pass
    elif test == argv[0]:pass
    elif test == 'old':pass
    elif test[0] == '.':pass
    else:
      print "%-30s"%test,
      chdir(path+test)
      if os.path.isfile("./glove.out"):
        system("rm glove.out")
      system("../%s -d -xmgr 2> test.log"%myglove)
#     system("cp glove.out ref.glove.out") 
      chi_current = get_GCHI("./glove.out")
      chi_reference = get_GCHI("./ref.glove.out")

      # Print out some colored output for testing

      if ( (chi_current == "NAN") or (chi_reference == "NAN")):
        print bcolors.FAIL    + " ERROR  " + bcolors.ENDC 
        print " current", chi_current
        print " reference", chi_reference
      elif abs(chi_reference-chi_current) < 1.0e-3 :
        print bcolors.OKGREEN + " PASSED " + bcolors.ENDC 
      elif abs(chi_reference-chi_current) < .001:
        print bcolors.WARNING + " CHECK  " + bcolors.ENDC 
      else:
        print bcolors.FAIL    + " FAILED " + bcolors.ENDC 
      chdir(cwd)


